Skip to main content
GET
Check Kubernetes upgrade readiness

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Path Parameters

cluster_id
string<uuid>
required

Query Parameters

target_version
string
required

The Kubernetes version to check a hop to, e.g. v1.31.4 or v1.31.4+k3s1.

Response

The preflight report

The read-only Kubernetes upgrade preflight of a cluster for one target version. verdict is blocked when any check blocks, otherwise ready; a warning or a skipped check whose evidence could not be read was not checked, not passed.

blocks
integer
required
checked_at
string<date-time>
required
checks
UpgradePreflightFinding · object[]
required
cluster_id
string<uuid>
required
distribution
string
required
requested_target_version
string
required
target_version
string
required

The catalogue build the hop would install.

verdict
enum<string>
required
Available options:
ready,
blocked
warnings
integer
required